Bug 1827988 - LyX missing dependency results in "LaTeX Error: File `esint.sty' not found" error
Summary: LyX missing dependency results in "LaTeX Error: File `esint.sty' not found" e...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lyx
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-26 07:04 UTC by Todd Warner
Modified: 2021-01-13 01:58 UTC (History)
2 users (show)

Fixed In Version: lyx-2.3.6.1-1.fc32 lyx-2.3.6.1-1.fc33
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 18:28:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Todd Warner 2020-04-26 07:04:41 UTC
Fedora 31
lyx-2.3.4.2-1.fc31.x86_64

Description of problem:
I was trying to view (render the PDF) for the introductory LyX help file (I think). I am struggling to remember how I did this. Help > Introduction > CTRL-R

Anyway. It would fail with the "LaTeX Error: File `esint.sty' not found" error.

I googled. This is what I found:
https://github.com/plembo/onemoretech/wiki/20150219-pdf-preview-in-lyx-on-fedora-21

I followed his suggestion:
sudo dnf install texlive-esint texlive-esint-type1 texlive-nomencl

Problem solved. Now, I don't know if all of those are needed or required, but that worked for me. So ... LyX has a missing dependency.

Comment 1 Ben Cotton 2020-11-03 16:39:16 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2020-11-24 18:28:58 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Fedora Update System 2021-01-04 14:54:22 UTC
FEDORA-2021-fb63cfb2d1 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-fb63cfb2d1

Comment 4 Fedora Update System 2021-01-04 14:55:08 UTC
FEDORA-2021-99564f5b94 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-99564f5b94

Comment 5 Fedora Update System 2021-01-05 01:12:42 UTC
FEDORA-2021-fb63cfb2d1 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-fb63cfb2d1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-fb63cfb2d1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-01-05 01:58:05 UTC
FEDORA-2021-99564f5b94 has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-99564f5b94`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-99564f5b94

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-01-13 01:35:17 UTC
FEDORA-2021-99564f5b94 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-01-13 01:58:35 UTC
FEDORA-2021-fb63cfb2d1 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.